// Lab 3: Events.java
// Display messages that contain information about each event that occurs.
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class Events extends JFrame implements ActionListener, ItemListener, 
   MouseListener, MouseMotionListener, KeyListener {
  
   private JPanel panel1;
   private JScrollPane scrollPane;
   private JTextArea output;
   private JComboBox comboBox;
   private JRadioButton radioButton;
   private JButton clearButton;
   private Container container;

   private String names[] = { "Anteater", "Caterpillar", "Centipede", "Fire Fly" };

   // set up GUI and register event handlers
   public Events()
   {
      super( "Events" );

      // create GUI components
      output = new JTextArea( 10, 30 );
      output.setLineWrap( true );
      output.setEditable( false );
      output.setBackground( Color.WHITE );
      output.setForeground( Color.BLAcK );

      // add the output area to a scroll pane so the user can scroll the output
      /* Write a statement that attaches the output JTextArea to a JScrollPane */

      // comboBox listens for item events
      comboBox = new JComboBox( names );
      /* Write a statement that registers an ItemListener for this JComboBox */
      /* Write a statement that registers a KeyListener for this JComboBox */

      // radioButton listens for action events
      radioButton = new JRadioButton( "Select Me", false );
      /* Write a statement that registers an ActionListener for 
         this JRadioButton */
      
      // clear button for clearing the output area
      clearButton = new JButton( "Clear" );
      clearButton.addActionListener( 
      
         // anonymous inner class for clearing the output area
         /* Write code that defines an anonymous inner class that 
            will clear the output JTextArea when the clear button is clicked */

      ); // end call to AddActionListener
          
      // application listens to its own mouse events
      /* Write code that registers a MouseListener
         and a MouseMotionListener for the the Events JFrame */

      panel1 = new JPanel();
      panel1.add( comboBox );
      panel1.add( radioButton );
      panel1.add( clearButton );
         
      // add components to container
      container = getContentPane();
      container.setLayout( new BorderLayout() );
      container.add( scrollPane, BorderLayout.CENTER );
      container.add( panel1, BorderLayout.SOUTH );
   
      setSize( 375, 325 );
      setVisible( true );

   } // end constrcutor

   // ActionListener event handlers
  
   /* Implement the ActionListener interface. Display the string representation
      of each event that occurs in the output JTextArea. */

   // ItemListener event handlers
  
   /* Implement the ItemListener interface. Display the string representation
      of each event that occurs in the output JTextArea. */

   // MouseListener event handlers
  
   /* Implement the MouseListener interface. Display the string representation
      of each event that occurs in the output JTextArea. */

   // MouseMotionListener event handlers
  
   /* Implement the MouseMotionListener interface. Display the string representation
      of each event that occurs in the output JTextArea. */

   // KeyListener event handlers
  
   /* Implement the KeyListener interface. Display the string representation
      of each event that occurs in the output JTextArea. */

   // execute application
   public static void main( String args[] )
   {
      Events application = new Events();
      application.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
   }

} // end class Events




/**************************************************************************
 * (C) Copyright 1992-2003 by Deitel & Associates, Inc. and Prentice      *
 * Hall. All Rights Reserved.                                             *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
